Bug 699144 - clean option does not work
clean option does not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-23 10:47 EDT by Christoph Wickert
Modified: 2012-08-07 14:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:10:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2011-04-23 10:47:51 EDT
Description of problem:
preupgrade --clean doesn't work. 

Version-Release number of selected component (if applicable):
preupgrade-1.1.9-1.fc14.noarch

How reproducible:
always

Steps to Reproduce:
1. Let prepupgrade prepare an upgrade
2. run peupgrade --clean
  
Actual results:
# preupgrade --clean
Loaded plugins: blacklist, langpacks, whiteout
No plugin match for: rpm-warm-cache
No previous run to clean up

Expected results:
clean up

Additional info:
The stuff to clean up is definitely there:

/etc/grub.conf
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/mapper/vg_01-lv_root
#          initrd /initrd-[generic-]version.img
#boot=/dev/sda
default=1
timeout=2
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
password --md5 $1$B3D3AM3C$rKwWahxethB3spwGeESMZ1
title Upgrade auf Fedora 15 (Lovelock)
        kernel /upgrade/vmlinuz preupgrade repo=hd::/var/cache/yum/preupgrade ks=hd:UUID=3182e668-c68b-4cd2-8095-3bbc27905d14:/upgrade/ks.cfg
        initrd /upgrade/initrd.img
...

# ls /boot/upgrade/
initrd.img  ks.cfg  vmlinuz
# ls /var/cache/yum/
preupgrade  preupgrade-main  preupgrade-rpmfusion-free-rawhide  preupgrade-rpmfusion-nonfree-rawhide  x86_64
Comment 1 Christoph Wickert 2011-12-11 10:00:37 EST
Problem still exists in preupgrade-1.1.10-1.fc15. Upgrading bug to Fedora 15
Comment 2 Fedora End Of Life 2012-08-07 14:10:48 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.